Version 1.0.0 of Steal the Dragon Hoard by William Moore begins here.

Chapter 1 - Values

Coins Stolen is a number that varies.

Chapter 2 - Actions

Understand "dice rules" as dice rules. Dice rules is an action applying to nothing.
Carry out dice rules:
	say "The rules are simple. Each person takes turns. On their turn they roll the two dice. If it is less than 8, the round is over and a gold coin is taken equal to that roll. Record the result. If it is from 9 to 11, no coin is taken. If it is 12, the player is caught by the dragon and is fried. All their coins are forfeit from this turn and play passes on to the next player. If a player was not fried, they may continue to roll dice or forgo all other actions and end their turn, keeping the coins they took.".

Understand "roll" as game. Game is an action applying to nothing.
Carry out game while the player has dice:
	let result be a random number from 1 to 12;
	say "You roll your dice and get a total of [result] pips.";
	if result < 8:
		increase Coins Stolen by result;
		say "You stole [result] coins and now have [Coins Stolen] gold coins!";
	otherwise:
		if result is 12:
			say "You were fried by the dragon. Sorry!";
			now Coins Stolen is 0;
		otherwise:
			say "You were startled and did not receive any coins this round.".

Understand "new game" as new game. New game is an action applying to nothing.
Carry out new game:
	say "You start a new game!";
	now Coins Stolen is 0.

Understand "coins" as coins. Coins is an action applying to nothing.
Carry out coins:
	say "You have stolen [Coins Stolen] gold coins.".

Steal the Dragon Hoard ends here.

---- DOCUMENTATION ----
[ Copyright (C) 2022  William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]

