"Blood Reigns" by "William Moore".

Chapter 0 - License and General Set Up

[ Copyright (C) 2022  William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]

The release number is 1.
The story description is "The seeds of racism are everywhere. Can you uncover some?".
Release along with cover art, an interpreter, library card, and the source text.
Include Basic Screen Effects by Emily Short.
Include Blood Reigns Rules by William Moore.
Include Blood Reigns KC Map by William Moore.
Include Steal the Dragon Hoard by William Moore.

Looking is look.
The block giving rule is not listed in the check giving it to rules.

BBQ eaten is a truth state that varies.
Hank Accused is a truth state that varies.
Chief of Police Accused is a truth state that varies.
Crime solved is a truth state that varies.
Second murder is a truth state that varies.
Confidence Restored is a truth state that varies.
Arnold Revealed is a truth state that varies.

Officer Arnold has a truth state called chatted up.

Shooting is an action applying to one visible thing and one visible thing. Understand "shoot [someone] with [something]" as shooting.

Chapter 1 - Setting Up the Figures

Figure of Police Clerk is the file "clerk.jpg".
Figure of Melkior is the file "melkior.jpg".
Figure of Buckethead is the file "buckethead.jpg".
Figure of Elmo & Gandalf is the file "elmo_gandalf_game.jpg".
Figure of Arthur Bryant's is the file "arthur_bryants_external.jpg".
Figure of Internal Arthur Bryant's is the file "arthur_bryants_internal.jpg".
Figure of Dice is the file "dice.jpg".
Figure of Me is the file "me.jpg".
Figure of BBQ is the file "bbq.jpg".
Figure of 1 of a Kind is the file "1ofakind.jpg".
Figure of Liberty Memorial is the file "liberty_memorial.jpg".
Figure of Zingo is the file "zingo.jpg".

Chapter 2 - Setting Up the Tables

Table of Melkior Responses
Response
"Melkior says 'You will kneel before me and Lord Death!'"
"Melkior says 'Would you like to try some of this black ichor?'"
"Melkior says 'I cannot believe that I was defeated by a dwarf and a multi-armed human.'"
"Melkior says 'Lord Death, save me!'"
"Melkior says 'Ailusherai! I will find you!'"

Table of Hank the Wino King Rants
Rant
"Hank the Wino King frowns. 'The rich oppress things.'"
"Hank the Wino King says 'The rich subjugate things. Look no further than Christianity!'"
"Hank the Wino King exclaims 'One of these days people will rise up in droves against the wealthy.'"
"Hank the Wino King furrows his brow, the deep lines showing his age, and says 'They say 'eat the rich' when I say 'let's just take their cash from them and run'.'"
"Hank the Wino King whistfully smiles and says 'Some churches do a good job for the community like Church of the Resurrection. I really wish I had an awesome ring to rub to take me there at this moment!'"

Table of Mr Linendot Sayings
Saying
"Mr Linendot smiles and says 'Hi, kids! I'm Mr. Linendot the officially unofficial spokesperson of Pepso: the only drink made with real pepsin!'"
"Mr Linendot offers you an unmarked can and shouts 'Hi, kids! I'm Mr. Linendot! Try the new 'refreshing' flavor of Pepso: 'vanilla'!'"
"Mr Linendot frowns and says 'I'm legally required to use air quotes so as not to be sued by Pepso...again...'"
"Mr Linendot says 'Hi, kids! I'm Mr. Linendot here to tell you about the delicious beverage Pepso. The only drink made with real pepsin and now comes in a new refreshing flavor of 'vanilla'. And remember kids, I can no longer say they are the official sponsor of the show as that has never been the case.' He drinks a Pepso 'And here comes my lunch...'"

Table of Zingo Responses
Response
"When in doubt, crap it out!"
"If you don't follow me towards the path of paradise, I will eat a chicken salad sandwich."
"Once bitten, thrice found out."
"Leading a horse to water can make you late to dinner and we don't want that, now do we?"
"Without a proper cleansing, the impure will continue to walk the earth."
"One is not truly clean until they are Zest-fully clean."
"Kirk? Kirk!? Kirk, can you hear me?"

Table of Television Responses
Response
"Where's Waldo? He's 5 foot 10 inches with a red and white striped shirt, red and white striped hat, propensity to hide. Please, let us know. His family misses him."
"Corey Corem has put out his latest album containing all new classics. You can find 'It's a Plea Bargain, Baby!' is available on all your favorite streaming platforms and local stores."
"And that, folks, was the latest trailer for 'Hands Off My Burrito!', the lastest film in the Billy Davis Cinematic Universe. Well, it was exactly what I expected. Let's just say!"
"The ex-wife of Firenze Prumt was found dead today in an apparent suicide while falling down the stairs. This comes days after said she has dirt on his activities many have claimed are illegal in nature."
"Enjoy the newest, hippest, greatest chip in town: Mumford Chips. Mumford Chips: the chips that make you...gruuuuuuunt! Made by S.C. Johnson Wax."
"Drink Pepso! The only drink made with real pepsin!"


Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"credits"	"Display the credits for this game"
"accuse"	"Accuse a person of murder"
"talk to"	"You will talk to someone for once in your life."
"flirt with"	"You flirt with someone."
"shoot someone with something"	"You shoot someone with a thing."

Table of Dice Help Commands
command	description
"dice rules"	"Displays the rules for Steal the Dragon Hoard"
"roll"	"rolls the dice for the game of Steal the Dragon Hoard"
"new game"	"starts a new game of Steal the Dragon Hoard"
"coins"	"tells you how many coins you've taken from the dragon's hoard"

Chapter 3 - Setting Up Non-Standard Rooms and Doors

Chapter 4 - Setting Up Actors

Amelia is a person. They are in Arthur Bryant's - Internal. The description is "Amelia is a slender woman wearing ruined aviator clothes. She has sandy blonde hair. She is totally drunk and appears to almost always be that way.".
Darcon is a person. They are in Arthur Bryant's - Internal. Understand "cook" as Darcon. The description is "He looks like a typical cook wearing a black shirt and pants.".
Buckethead is a person. The description is "That's right. THE Buckethead! He appears to be staring at his chickens, which are aimlessly pecking at and scratching the floor.".
Mr Linendot is a person. They are in UMKC. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Melkior is a person. They are in Westport. The description is "He is an Eldarim turned undead after pledging his life to Death himself. He is currently held together it would seem by just simple rags. There are severely damaged parts on his body from previous battles.".
Hank the Wino King is a person. They are in Central & 4th. The description is "A dishevelled man stands before you with long, matted, brown hair. The odor that eminates from them is an assault on the senses. Their long coat is greasy and grimey."
Moonchild is a person. They are in Crown Center. The description is "The Moonchild is a man dressed in early Renaissance-style clothing and speaks with an authentic English accent."
Elmo is a person. They are in Arthur Bryant's - Internal. The description is "Elmo is a furry red muppet that has a high pitched voice, refers to himself in the third person, and loves to smile and dance and play."
Gandalf the Grey is a person. They are in Arthur Bryant's - Internal. The description is "Gandalf is a tall wizard with grey hair, long beard, grey robes, and a wide-brimmed hat. He is often seen smoking from an ornate long pipe."
Police Clerk is a person. They are in Kansas City Police HQ. The description is "She's a generic looking police officer that is in charge of handling police evidence.".
Officer Arnold is a person. The description is "He's a generic-looking white police officer with a crew cut so sharp you can slice bread with it.".
Zingo the Makeupless Clown is a person. They are in Ewing & Muriel Kaufman Memorial Garden. The printed name is "Zingo, the Makeup-less Clown". The description is "Zingo, the Makeup-less Clown has no make up on. He has a black eye from a prior altercation. His face is covered in grime. He wears a raggedy, fitted, red shirt. He wears sweatpants that are dirty with torn out pockets and holes in semi-random places. On his right wrist is a smart watch despite no apparent accompanied smart phone. On one foot is a dirty, old sneaker. On the other is a smelly sock and a grody sandal. He smells vaguely like cat litter."
Zongi the Clown is a person. The printed name is "Zongi, the Clown". They are in Ewing & Muriel Kaufman Memorial Garden. The description is "This Gacy-esque clown is doing clown things.".
Colonel Barleyton is a person. The description is "A black haired, bearded man known for being many things, one of which was on some space show in the 80s.".
Chief of Police is a person. The description is "This is the man that is in charge of the Kansas City police force. His mustache and gruff demeanor command respect. His icy blue eyes project a piercing gaze that would make even the most hardened criminal weak and confess their crimes as well as a few they didn't commit just so as to remove his attention.".

Chapter 5 - Setting Up Things

The ring of awesomeness is a thing. It is wearable. The description is "An awesome-looking ring that fits your finger perfectly.".
The detective's hat is a thing. It is wearable. The description is "A black stereotypical detective's hat.".
The detective's badge is a thing. It is wearable. The description is "A golden-colored, metallic detective's badge.".
BBQ Burnt Ends is a thing. It is edible. The description is "The BBQ burnt ends are a Kansas City specialty. They look so good and that they should be eaten before getting too cold.".
Sauce Stained Napkin is a thing. The description is "A memorial of the delicious burnt ends from Arthur Bryant's.".
Crime Scene Photos is a thing. The description is "These are photos of the murdered teenager taken at the scene of the crime in Grove Park.".
ye flask is a thing. It is in City Hall. The description is "It is a flask containing some unknown liquid."
Balloon Dog is a thing. The description is "This green dog-shaped balloon animal was masterfully crafted by Zongi, the Clown. It has 'Colonel Barleyton at Bartle Hall' written on it.".
TV is a thing. The TV is in Bartle Hall. The description is "The flat screen 8K OLED TV has a black trim.".
Dice is a thing. The description is "These two six-sided dice are special in that they look red with chrome metal poured over parts of it. They're especially useful for playing Steal the Dragon Hoard, which can be played with the command 'game'.".
Detective's gun is a thing. The description is "A short nosed pistol useful only in the most dire of situations.".

[ Other Things ]

Can of Vanilla Pepso is a thing. The description is "A can of 'delicious', 'refreshing', 'vanilla' Pepso, the only flavored cola made with real pepsin.".
ye flask is a thing. The description is "It is a flask containing some unknown liquid.".

Chapter 6 - Setting Up the Actions

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank Nina Nadu, my wife, for being my everything.";
	say "[line break]Next, I would like to thank my kids Olivia and Henry for being the rambuncious lot that you both are and have a special place in my heart!";
	say "[line break]Finally, I appreciate the following people who have helped me test this interactive fiction from its inception (in alphabetical order):[line break]";
	say "AmandaB[line break]";
	say "Crystal Asonibe[line break]";
	say "Jason Bengel[line break]";
	say "Drew Cook (kamineko)[line break]";
	say "Daniel Stelzer (Draconis)[line break]";
	say "Mike Russo (DeusIrae)[line break]";
	say "[line break]Without your help, this would not be here!";
	say "[paragraph break]The internal view of Arthur Bryant's is found at <https://commons.wikimedia.org/wiki/File:09-01-06-ArthurBryant-int.jpg>, courtesy of Bobak Ha'Eri (resized from original to fit in most 'terps), and subject to the Creative Commons Attribution-Share Alike 2.5 Generic license <https://creativecommons.org/licenses/by-sa/2.5/legalcode>".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "You like help?  Here we go![paragraph break]";
	say "[bold type]Basic Commands[roman type]:[line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]";
	say "[line break][bold type]Dice Commands[roman type]:[line break]";
	repeat through Table of Dice Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]";
	pause the game.

Understand "flirt with [something]" as flirting. Flirting is an action applying to one visible thing.
Instead of flirting:
	if the noun is Police Clerk:
		say "She smiles huge.";
	otherwise:
		say "They don't seem interested. Sorry.".

Understand "talk to [something]" as talking. Talking is an action applying to one visible thing.

After talking when noun is Melkior:
	let rr be a random number from 1 to number of rows in Table of Melkior Responses;
	say "[Response in row rr of Table of Melkior Responses]".

After talking when noun is Hank the Wino King:
	let rr be a random number from 1 to number of rows in Table of Hank the Wino King Rants;
	say "[Rant in row rr of Table of Hank the Wino King Rants]".

After talking when noun is Mr Linendot:
	let rr be a random number from 1 to number of rows in Table of Mr Linendot Sayings;
	say "[Saying in row rr of Table of Mr Linendot Sayings]";
	if player is not carrying Can of Vanilla Pepso:
		say "[paragraph break]Mr Linendot says 'Have this can of 'vanilla' pepso on the house!'";
		move can of vanilla pepso to location of the player;
		silently try taking the can of vanilla pepso.

After rubbing when noun is ring of awesomeness and crime solved is false:
	say "A hollow, disembodied voice says 'AWESOOOME!'".

[ For displaying figures ]

Understand "accuse [something]" as accusing. Accusing is an action applying to one visible thing.

Carry out accusing when the noun is a person and the noun is not the player:
	if the crime solved is false and the noun is Officer Arnold:
		say "Officer Arnold looks at you confused and says 'I know we haven't known each other long, but why in the world would accuse your partner with such baseless accusations?'";
	otherwise:
		say "[the noun] shakes their head and says 'Sorry, I didn't do it.'".

Carry out accusing when the noun is a person and the noun is the player:
	say "For whatever it's worth, you accuse yourself.".

After looking in Arthur Bryant's - External:
	display the Figure of Arthur Bryant's.

After looking in Arthur Bryant's - Internal:
	display the Figure of Internal Arthur Bryant's.

After looking in 1 of a Kind:
	display the Figure of 1 of a Kind.

After looking in Penn Valley Park:
	display the Figure of Liberty Memorial.

After examining Melkior:
	display the Figure of Melkior.

After examining Buckethead:
	display the Figure of Buckethead.

After examining Zingo:
	display the Figure of Zingo.

After examining Elmo:
	display the Figure of Elmo & Gandalf;
	say "[Elmo] and [Gandalf the Grey] are playing a game.".

After examining dice:
	display the Figure of Dice.

After examining TV:
	let rr be a random number from 1 to number of rows in Table of Television Responses;
	say "The TV says '[Response in row rr of Table of Television Responses]'".

Instead of examining the player:
	display the Figure of Me;
	say "You are a handsome-looking African-American detective in the KC police department. You wear a black hat and carry a badge. You're known city-wide for your criminal investigatory skills."

After examining Police Clerk:
	display the Figure of Police Clerk.

After examining Burnt Ends BBQ:
	display the Figure of BBQ.

Instead of smelling Burnt Ends BBQ:
	say "The saucy smell is alluring and each whiff is tantalizing. It better be eaten soon or else someone else will take it!".

After examining Gandalf the Grey:
	display the Figure of Elmo & Gandalf;
	say "[Elmo] and [Gandalf the Grey] are playing a game.".

Instead of talking while the noun is ye flask:
	say "You can't get ye flask.".

After talking when the noun is Zingo the Makeupless Clown:
	let rr be a random number from 1 to number of rows in Table of Zingo Responses;
	say "Zingo looks at his watch and says '[Response in row rr of Table of Zingo Responses]'".

Instead of talking when the noun is Amelia:
	say "Amelia looks ups and looks utterly devastated. She says 'I have lost my husband in a plane crash. It's only these people that keep me from falling apart.'".

Instead of talking when the noun is Darcon:
	say "He stares through you and says 'Whaddya want? More food? Here you go!'";
	now the player has BBQ.

Instead of talking when the noun is Elmo:
	say "'Elmo beating strong wizard!'".

Instead of talking when the noun is Gandalf the Grey:
	say "He frowns and looks at you. 'This red, furry thing beats me every time in a dice game.'".

Chapter 7 - The Game

When play begins:
	Now the player has dice;
	Now the player has Detective's gun;
	Now the player is wearing the ring of awesomeness;
	now the player is wearing detective's badge;
	now the player is wearing detective's hat.

[ Act I ]
Act I is a scene. Act I begins when play begins. Act I ends when the player has Crime Scene Photos.

When Act I begins:
	say "Seek out the root cause of a murder, detective. Maybe give yourself a good look and don't forget to have some fun along the way, or you'll go mad.";
	pause the game;
	move the player to Arthur Bryant's - Internal;
	say "Everyone looks up as you enter and smiles. You hear rounds of 'Hello!' and 'How are you today, detective?'[paragraph break]Inside the food prep area, and behind the first window, Darcon eyes you suspiciously while slowly chewing on something in his mouth that is likely his tongue.";
	say "Everyone immediately starts simultaneously speaking up for help with their mysteries. A man walks up to you and says 'I'll bet you one burnt ends plate that you can't guess where my wife is off to.'[paragraph break]You think for a moment and say 'She's off with your brother again and headed to New York. However, this time, it's unlikely you'll ever see her again. Now! Where's my BBQ?'";
	say "[paragraph break]Everyone in the restaurant 'ooo's' at what you said.";
	say "[paragraph break]Darcon looks you up and down, frowns, and says 'You seem to have a distinct lack of burnt ends in your possession. Here, have some...for a price!'";
	move BBQ Burnt Ends to the location of the player;
	say "Darcon hands you the delicious looking BBQ, the man who lost his wife pays for it at the counter, and you take a seat at one of the tables. Several people try to strike up a conversation with you.";
	silently try taking BBQ Burnt Ends;
	pause the game.

After eating BBQ Burnt Ends:
	if BBQ Eaten is false:
		say "While you eat, your police radio crackles and the voice on the other end says 'We have a murdered teenager in the Grove Park, east of Arthur Bryant's, in the 18th & Vine district.'";
		say "You sigh because that's near you and respond with an affirmative. You think to yourself that this is going to be a difficult day despite the delicious food.";
		now BBQ Eaten is true;
	otherwise:
		say "You eat the delicious BBQ Burnt Ends.";
	now the player has Sauce Stained Napkin.	

Every turn while Act I is happening:
	if the location of the player is Grove Park and BBQ eaten is true:
		say "Police are everywhere. Witnesses are in the process of being interrogated. As you walk closer to where a cluster of police and detectives are, you see it: the body of an African-American teenage boy covered in blood. He appears to have been shot several times. After a quick debriefing by the other detectives, you're tasked with taking the photos downtown to the Kansas City Police HQ for further investigation.";
		say "[paragraph break]You can find it easily by heading west to Arthur Bryant's, then northwest to '1 of a Kind', and enter the overworld. From there, head west and enter downtown and it should be somewhere in the northeast. Hey! Why am I telling you this? You [bold type]know this[roman type] by now.";
		move Crime Scene Photos to the location of the player;
		silently try taking Crime Scene Photos.

[Act II]
Act II - Scene 1 is a scene. Act II - Scene 1 begins when Act I ends. Act II - Scene 1 ends when Police Clerk has Crime Scene Photos.

To decide whether Crime Scene Photos interests Police Clerk:
	if Police Clerk has Crime Scene Photos, no;
	yes.

After giving Crime Scene Photos to Police Clerk:
	say "The clerk looks at the photos while putting them into an evidence bag. She says 'Oh my! These are horrible and someone so young! Well, here is something to sign.'";
	say "You fill the forms out in triplicate that transfer the evidence over to the clerk.";
	say "As you're about to leave the clerk clears her throat and says 'Honey, this is going to be a tough one to crack. Let's just say someone important's brother probably did this.'";
	say "You say 'Oooookay!?'";
	say "The clerk smiles and points toward the west. She says 'You're wanted at City Hall. I hear you have a partner now! Go say 'hi' to them.'";
	say "'Oh great! Who now?', you think.";
	move Officer Arnold to City Hall.

Act II - Scene 2 is a scene. Act II - Scene 2 begins when Act II - Scene 1 ends. Act II - Scene 2 ends when the player has Balloon Dog.

After talking when the noun is Officer Arnold and the chatted up of Officer Arnold is false:
	now the chatted up of Officer Arnold is true;
	say "Officer Arnold scowls and looks you up and down. He says 'So, I deal with one of [bold type]you[roman type]?'";
	say "You smile politely and say 'What ever could you mean by such toxic words you short, pasty man? We have a crime to solve. The soonest we get that resoled, the soonest we can move on to our normal lives. Agreed? Good!'";
	say "Officer Arnold mutters something under his breath and then says 'Okay. Let's just get to the Plaza area and see what we can find out about this murder. If you don't know where that is, go west, south, and south again, enter the street, and go south until you reach it.'".

After talking when the noun is Zongi the Clown:
	if Act II - Scene 2 is happening:
		say "Zongi looks you up and down. She says 'Oh...one of your kind. Look. I know nothing about the murder other than try to find a Biker Gang.'";
		say "Zongi picks up a long, green deflated balloon, inflates it and fashions it into the shape of a dog. She says 'Here! Have this. Maybe it'll help you find your true way out of here.'";
		move Balloon Dog to the location of the player;
		silently try taking Balloon Dog;
	otherwise:
		say "Zongi looks at you and says 'Wouldn't it be nice if things were a tad bit different?'[paragraph break]You reply with 'Yes. I couldn't agree more. People need to just love one another and respect their humanity.'".

Before going to a room (called new room) while new room is City Hall and Arnold Revealed is false:
	say "Outside City Hall, there are at least twenty white protestors raging. Their chant? 'You will not replace us!' and other similar slogans.".

Before going to a room (called new room) while the chatted up of Officer Arnold is true:
	move Officer Arnold to new room.

Act II - Scene 3 is a scene. Act II - Scene 3 begins when Act II - Scene 2 ends. Act II - Scene 3 ends when Second murder is true.

When Act II - Scene 3 begins:
	move the player to Kansas City Police HQ;
	move Colonel Barleyton to Bartle Hall;
	say "Arnold paces around and shouts 'This is already starting out bad. We are being told off by a Gacy-esque clown who tells us random biker gangs did it!'";
	say "[line break]You say 'No, she said to ask a biker gang about it. But where do we know biker gangs hang out?'";
	say "[line break]Arnold stops pacing and taps the floor. After a brief pause, he says 'Paola?'";
	say "[line break]You frown and say 'C'mon, man! I'm not driving all that way for a hunch. Think harder!'";
	say "[line break]You examine the [Balloon Dog] given to you both by Zongi, the Clown. 'Say, there's something written on this ballon dog.'";
	say "[line break]'What does it say?'";
	try examining Balloon Dog.

After talking when the noun is Colonel Barleyton and Act II - Scene 3 is happening:
	say "Officer Arnold sternly looks at Colonel Barleyton and proclaims 'Alright, buddy! I see the beard and the tattoos. You're clearly a biker. What do you know about the murder of a black boy in 18th & Vine?'";
	say "[line break]Colonel Barleyton throws an icy glare and says 'The acceptable term is African-American and I am no biker, although there is nothing wrong with that lifestyle. I wish, I could honestly help you out.'";
	say "[line break]You smile, offer your card, and say 'Thank you, sir! If you could, could you keep an eye out for any information on this while you're town. Seriously, enjoy the convention while here.'";
	say "[line break]Colonel Barleyton takes the offered card and says 'Sure thing, detective! It's a shame that some people here have such attitudes as this one, and that you get to deal with it, given recent Kansas City history.'";
	remove Colonel Barleyton from play;
	now Second murder is true.

Act II - Scene 4 is a scene. Act II - Scene 4 begins when Act II - Scene 3 ends. Act II - Scene 4 ends when Hank Accused is true.

When Act II - Scene 4 begins:
	say "You head home and uncomfortably sleep. You have a detective's intuition that this isn't over. The next day, you find out it is true when you hear word that another African-American teen was murdered.";
	say "[paragraph break]You decide it's time to speak to the Wino King in Penn Valley Park. He seems to always know the whereabouts of things, anyways.";
	pause the game;
	move Hank the Wino King to Penn Valley Park;
	move the player to Penn Valley Park.

Instead of talking when the noun is Hank the Wino King and Act II - Scene 4 is happening:
	say "Hank suspiciously looks at you and says 'So. You've come to the great King of the Winos to find out who your murderer is. I may know a few intimate details, but I'm afraid it'll get me into trouble.'".

Instead of accusing when the noun is Hank the Wino King and Act II - Scene 4 is happening:
	say "Hank gasps 'Okay! Okay! I'll talk. You don't have to be so pushy. I saw a police car drive up. It was too dark to tell features and I was a little high. He shot that kid in cold blood! Several times. I'll never forget the police car number: 1. Number 1!'";
	say "Both you and Arnold look at each other. You say 'Thank you. This was most helpful.'";
	say "As you both walk away, Arnold looks at you and matter of factly says 'You know who has car number 1, don't you?'";
	say "You nod solemnly. 'It's time to speak to the chief and get a confession out of him. I never thought I would have to do this in a million years.'";
	now Hank Accused is true;
	move the Chief of Police to Kansas City Police HQ;
	move the player to Kansas City Police HQ.

Act II - Scene 5 is a scene. Act II - Scene 5 begins when Act II - Scene 4 ends. Act II - Scene 5 ends when Chief of Police accused is true.

Instead of accusing when the noun is the Chief of Police and Act II - Scene 5 is happening:
	say "Arnold absolutely beams as you timidly walk up to the Chief of Police and say 'Chief. You're under arrest for the murder of two teenage boys. Your personal police cruiser was seen at the scene of the most recent one.'";
	say "The Chief glowers sternly and bellows 'You knobs! I was at a fundraiser for widows of the officers killed in the line of duty. Something that you all would only aspire to at this point. For your actions, I only have one thing to say to you: SUSPENDED INDEFINITELY! I will of course alert the appropriate media outlets so that your shame can be fully realized.'";
	say "You just stand there with your mouth silently opening and closing like a fish. As you are being forcibly escorted out of the police HQ, you think 'It might be time to skulk to Arthur Bryant's for some more BBQ.'";
	now Chief of Police Accused is true;
	pause the game.

[ Act III ]

Act III - Scene 1 is a scene. Act III - Scene 1 begins when Act II - Scene 5 ends. Act III - Scene 1 ends when Confidence Restored is true.

When Act III - Scene 1 begins:
	move the player to Arthur Bryant's - Internal.

Instead of talking when the noun is a person and Act III - Scene 1 is happening:
	if the noun is Darcon:
		say "Darcon manages a smile. 'So, you were played. Many of us have been at some point in their lives. Sure, sure! You're somehow different because you're super detective, but time to wise up and see things for how they are: crap. Life is crap and as soon as you see that, you can realize that you're just as filthy as the next person. What makes you different than that next person is that you like the smell of yours and not theirs. As soon as that happens, you'll be fine when they fling theirs on you. Now, go out there and be a monkey and start flinging yours.'";
		say "As if hit by a train, you come to the same conclusion. With your restored confidence, you decide to embark on solving the crime anyways. Just where to begin?";
		say "'The beginning!', you shout as you stand up.";
		now Confidence Restored is true;
	otherwise:
		say "They ignore you. When you keep persisting with conversation, they turn their head.".

Act III - Scene 2 is a scene. Act III - Scene 2 begins when Act III - Scene 1 ends. Act III - Scene 2 ends when Arnold Revealed is true.

Instead of flirting when the noun is Police Clerk and Act III - Scene 2 is happening:
	say "You give the Police Clerk a devilish smile. 'You and I know we've been playing this game way too long. How about you and I go somewhere nice and see a movie and see where the night takes us? But before that happens, I need to know if you've heard any rumors about members of the force trying to do some wrong things.'";
	say "She smiles as brightly as her eyes are lit up. 'Oh my! Well, [italic type]Mister[roman type]! That partner of yours, Officer Arnold. He's been snooping around here a lot. Asking for the evidence in those poor boys' murders and then one time I even caught him trying to break in after I closed up!'";
	say "Your blood pressure drops and you know you have a dumb look on your face. 'It can't be', you think, 'No...no, it wouldn't be'";
	say "Clearly reading your face, the Police Clerk touches your shoulder. 'You'll find him where you met him.'";
	move Officer Arnold to City Hall.

Instead of taking when the noun is Officer Arnold and Act III - Scene 2 is happening:
	say "Officer Arnold is standing before the crowd smiling and egging them on with words of confidence and praise. He sees you approaching.[paragraph break]'So you've come to witness our triumph against your kind?'";
	say "[line break]'My kind?'".

Instead of accusing when the noun is Officer Arnold and Act III - Scene 2 is happening:
	say "'You knew about those young boys! You knew who murdered them. You knew because it was you that did it!'";
	say "[line break]'So? What's two less boys of their kind in this world? It'll keep things under control and right.'";
	say "[line break]'You're a monster!'";
	say "[line break]At that moment, Officer Arnold waves his hands at the crowd, points at you, and then crosses his finger around his neck. That's all they needed and they started to chase after you. You eventually lose them at Bartle Hall. Exhausted, you sit down and stare at the television set.";
	now Arnold Revealed is true;
	move the player to Bartle Hall.

[ Act IV ]

Act IV is a scene. Act IV begins when Act III - Scene 2 ends.

Instead of flirting when the noun is Police Clerk and Act IV is happening:
	say "'So, how about a night at the Power and Light District. Like tonight?'";
	say "[line break]'Sure! Oh, the Chief of Police wants you. He heard about what happened outside City Hall.'";
	say "[line break]'Okay. Where is he at?'";
	say "[line break]The police clerk blushes. 'Power and Light District!'";
	move Officer Arnold to Power & Light District;
	move Chief of Police to Power & Light District.

Instead of talking when the noun is the Chief of Police and Act IV is happening:
	say "The Chief of Police says 'So, you think Officer Arnold did it now? You better have good evidence.'".

Instead of accusing when the noun is Officer Arnold and Act IV is happening:
	say "'Officer Arnold! You're under arrest. You murdered those two African-American boys because you claim to keep African-Americans, or my kind as you put it bluntly, under control. You're a racist and a murderer.'";
	say "[line break]'Oh ... I ... well ... Yeah, I did all those things. What're you going to do about it when I have the high ground, here!?'";
	say "[line break]Arnold pulls out his gun and points it at the Chief of Police's head.".

Instead of shooting when the noun is Officer Arnold and the second noun is Detective's gun:
	say "You pull out your [Detective's gun] and shoot Officer Arnold with deadly aim. Officer Arnold falls back onto the pavement, motionless. You smile at the satisfaction one gets from solving a particularly difficult puzzle and justification.";
	say "[line break]'Well done, detective! And ... er ... welcome back to the force ...'";
	say "[paragraph break]You smile and put your gun away. Slowly, you walk back to the police headquarters because you have a hot date that you've been trying to make happen for some time now.";
	end the story.

Chapter 8 - Tests

test pt1 with "eat bbq / enter door / e / w / nw / w / give photos to clerk / w / talk to arnold / w / s / s / s / s / s / e / talk to zongi / w / w / talk to barleyton".
test pt2 with "talk to wino / accuse wino / accuse chief".
test pt3 with "talk to darcon / enter door / nw / w / flirt with Police Clerk / w / accuse arnold".
test pt4 with "e / e / flirt with Police Clerk / w / sw / talk to Chief of Police / accuse arnold / shoot arnold with gun".